Documentation menu

← Lists and monitors

API reference

Retrieve a list item

GET/v1/list/{list_id}/item/{item_id}

Retrieves a list item with its name, status, notes and who added it.

Parameters

path

list_idrequiredstring
The list's id, lst_....
item_idrequiredstring
The item's id, lsi_....

Responses

200
SavedListItem
The list item.
401
ProblemDetail
credential_missing, credential_invalid or credential_expired. The request has no valid credential.
403
ProblemDetail
scope_missing, person_required, api_key_not_accepted or entitlement_missing. The credential or plan does not allow this request. detail names the reason.
404
ProblemDetail
no_such_resource. No object has that id.
422
ProblemDetail
parameter_invalid, id_malformed or a cursor code. A parameter is missing or invalid. errors lists each one.
429
ProblemDetail
rate_limited. Too many requests. Retry after the Retry-After interval. Nothing is charged.

Example request

curl -X GET 'https://api.placestack.com/v1/list/018f4b75-6f79-7c6a-8c80-000000000001/item/018f4b75-6f79-7c6a-8c80-000000000001' \
  -H "Authorization: Bearer $PLACESTACK_API_KEY"

Example response

{
  "object": "list_item",
  "id": "lsi_01h455vb4pex5vsknk084sn02q",
  "kind": "site",
  "name": "Hwy 101 site",
  "status": "new",
  "notes": "string",
  "parcel": [
    {
      "id": "prc_01h455vb4pex5vsknk084sn02q",
      "number": "0787517396",
      "address": "4516 PRINTER LN, RALEIGH, NC 27613",
      "acres": 0.26,
      "href": "/v1/parcel/prc_01h455vb4pex5vsknk084sn02q"
    }
  ],
  "address": "4516 PRINTER LN, RALEIGH, NC 27613",
  "acres": 3.09,
  "jurisdiction": {
    "id": "jur_01h455vb4pex5vsknk084sn02q",
    "name": "Wake",
    "type": "county",
    "fips": "37183",
    "href": "/v1/jurisdiction/jur_01h455vb4pex5vsknk084sn02q"
  },
  "postal_code": "27613",
  "geometry": {
    "type": "Polygon",
    "coordinates": [
      [
        [
          -78.6999,
          35.849
        ],
        [
          -78.6993,
          35.849
        ],
        [
          -78.6993,
          35.8494
        ],
        [
          -78.6999,
          35.8494
        ],
        [
          -78.6999,
          35.849
        ]
      ]
    ]
  },
  "filter": {
    "min_acres": 10
  },
  "centroid": {
    "lat": 35.8492,
    "lon": -78.6996
  },
  "added_by": "ana@example.com",
  "created_at": "2026-09-13T12:00:00Z",
  "updated_at": "2026-09-13T12:00:00Z",
  "href": "/v1/list/lst_01h455vb4pex5vsknk084sn02q/item/lsi_01h455vb4pex5vsknk084sn02q"
}

Next steps

PATCH /list/{list_id}/item/{item_id}

Update a list item

Continue